         ORG    $400400      ;Starting address in memory Data Section  
A        EQU    $41          ;Equate A to the ASCII code for 'A'  
B        EQU    $42          ;Equate B to the ASCII code for 'B'   
C        DS.B   1            ;Reserve one byte for variable C  
X        DS.W   1            ;Reserve one word for variable X   
Y        DS.L   1            ;Reserve one longword for variable Y   
         
         ORG    $400440      ;Starting address in memory Code Section
         MOVE.B #A,C         ;Initializes C to 'A'; C = 'A';
         MOVE.W #$100,X      ;Initializes X to 0x100; X = 0x100;
         MOVE.L #$2000A111,Y ;Initializes Y to 0x2000A111
  
         MOVE.W X,D1         ;Fetch X and place it in D1.
         MOVE.L Y,D2         ;Fetch Y and place it in D2.
         MOVE.B C,D3         ;Fetch C and place it in D3.
   
         ADD.W  #1,D1        ;Executes X++  
         CMP.B  #B,D3        ;Compares the ASCII code for 'B' (0x42) to C 
         BNE    EXIT_IF      ;Go to label EXIT_IF,thus skipping the next instruction if C !== 'B' 
         SUB.W  #$5,D1       ;Executes X -= 0x5 
EXIT_IF  ADD.L  #$9001,D2    ;Executes Y += 0x9001
         END    $400440 



*~Font name~Courier New~
*~Font size~10~
*~Tab type~1~
*~Tab size~4~
